Bug 125567 - New port: irc/ii A minimalist FIFO and filesystem-based IRC client
Summary: New port: irc/ii A minimalist FIFO and filesystem-based IRC client
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-07-13 15:40 UTC by Julien Laffaye
Modified: 2008-07-18 17:00 UTC (History)
0 users

See Also:


Attachments
file.shar (2.81 KB, text/plain)
2008-07-13 15:40 UTC, Julien Laffaye
no flags Details
ii.shar.sh (4.01 KB, application/x-sh)
2008-07-17 21:01 UTC, Julien Laffaye
no flags Details
ii.shar.sh (4.01 KB, application/x-sh)
2008-07-18 08:35 UTC, Julien Laffaye
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Julien Laffaye 2008-07-13 15:40:01 UTC
ii is a minimalist FIFO and filesystem-based IRC client. It creates an irc 
directory tree with server, channel and nick name directories.
In every directory a FIFO in file and a normal out file is created.
The in file is used to communicate with the servers and the out files 
contain the server messages. For every channel and every nick name there
are related in and out files created. This allows IRC communication from
command line and adheres to the Unix philosophy.

WWW: http://www.suckless.org/wiki/tools/irc/irc_it/
Comment 1 Martin Wilke freebsd_committer 2008-07-13 16:34:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2008-07-17 17:46:06 UTC
State Changed
From-To: open->feedback

Hi, 

Your port  don't respect NOPORTEXAMPLES and/or NOPORTDOCS.  Please fix 
it and submit a followup to this PR. Look at the Porters Handbook for 
instructions. 

http://i386.miwibox.org/index.php?action=describe_port&id=1394 

- Martin
Comment 3 Julien Laffaye 2008-07-17 21:01:08 UTC
Hi,
Sorry for the inconvenience.
Attached a corrected shell archive which should works with NOPORTDOCS
and NOPORTEXAMPLES.

Regards,
kimelto
Comment 4 Julien Laffaye 2008-07-18 08:35:25 UTC
Re-send shell archive as previous file is broken.
Comment 5 Martin Wilke freebsd_committer 2008-07-18 16:54:36 UTC
State Changed
From-To: feedback->closed

New port added, with minor changes. Thanks!
Comment 6 dfilter service freebsd_committer 2008-07-18 16:54:54 UTC
miwi        2008-07-18 15:54:45 UTC

  FreeBSD ports repository

  Modified files:
    irc                  Makefile 
  Added files:
    irc/ii               Makefile distinfo pkg-descr 
    irc/ii/files         patch-Makefile patch-config.mk 
  Log:
  ii is a minimalist FIFO and filesystem-based IRC client. It createsan
  irc directory tree with server, channel and nick name directories.
  In every directory a FIFO in file and a normal out file is created.
  The in file is used to communicate with the servers and the out files
  contain the server messages. For every channel and every nick name there
  are related in and out files created. This allows IRC communication from
  command line and adheres to the Unix philosophy.
  
  WWW: http://www.suckless.org/wiki/tools/irc/irc_it/
  
  PR:             ports/125567
  Submitted by:   Julien Laffaye <kimelto at gmail.com>
  
  Revision  Changes    Path
  1.171     +1 -0      ports/irc/Makefile
  1.1       +37 -0     ports/irc/ii/Makefile (new)
  1.1       +3 -0      ports/irc/ii/distinfo (new)
  1.1       +15 -0     ports/irc/ii/files/patch-Makefile (new)
  1.1       +24 -0     ports/irc/ii/files/patch-config.mk (new)
  1.1       +9 -0      ports/irc/ii/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"